public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Savchenko" <bircoph@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-power/suspend/
Date: Sun, 11 Nov 2018 15:09:41 +0000 (UTC)	[thread overview]
Message-ID: <1541948970.f9e3aebba785f595c12cb62db62985b609160b28.bircoph@gentoo> (raw)

commit:     f9e3aebba785f595c12cb62db62985b609160b28
Author:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 11 15:08:42 2018 +0000
Commit:     Andrew Savchenko <bircoph <AT> gentoo <DOT> org>
CommitDate: Sun Nov 11 15:09:30 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f9e3aebb

sys-power/suspend: remove fbsplash support

- Drop USE=fbsplash due to media-gfx/splashutils tree cleaning.
- Update to EAPI 7.

Closes: https://bugs.gentoo.org/650084
Signed-off-by: Andrew Savchenko <bircoph <AT> gentoo.org>
Package-Manager: Portage-2.3.51, Repoman-2.3.11

 sys-power/suspend/suspend-1.0_p20150810-r1.ebuild | 59 +++++++++++++++++++++++
 1 file changed, 59 insertions(+)

diff --git a/sys-power/suspend/suspend-1.0_p20150810-r1.ebuild b/sys-power/suspend/suspend-1.0_p20150810-r1.ebuild
new file mode 100644
index 00000000000..eedae70926c
--- /dev/null
+++ b/sys-power/suspend/suspend-1.0_p20150810-r1.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+BASE_PV="1.0_p20120915"
+
+DESCRIPTION="Userspace Software Suspend and S2Ram"
+HOMEPAGE="http://suspend.sourceforge.net/"
+SRC_URI="https://dev.gentoo.org/~bircoph/distfiles/${PN}-${BASE_PV}.tar.xz
+	https://dev.gentoo.org/~bircoph/patches/${P}.patch.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="crypt +lzo threads"
+
+RDEPEND="
+	dev-libs/libx86
+	>=sys-apps/pciutils-2.2.4
+	crypt? (
+		>=dev-libs/libgcrypt-1.6.3:0[static-libs]
+		dev-libs/libgpg-error[static-libs] )
+	lzo? ( >=dev-libs/lzo-2[static-libs] ) "
+DEPEND="${RDEPEND}"
+BDEPEND="
+	>=dev-lang/perl-5.10
+	virtual/pkgconfig"
+
+S="${WORKDIR}/${PN}"
+
+PATCHES=( "${WORKDIR}/${P}.patch" )
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		--docdir="/usr/share/doc/${PF}" \
+		--disable-fbsplash \
+		$(use_enable crypt encrypt) \
+		$(use_enable lzo compress) \
+		$(use_enable threads)
+}
+
+src_install() {
+	dodir etc
+	emake DESTDIR="${D}" install
+	rm "${D}/usr/share/doc/${PF}"/COPYING* || die
+}
+
+pkg_postinst() {
+	elog "In order to make this package work with genkernel see:"
+	elog "https://bugs.gentoo.org/show_bug.cgi?id=156445"
+}


             reply	other threads:[~2018-11-11 15:09 UTC|newest]

Thread overview: 17+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-11-11 15:09 Andrew Savchenko [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-02-24 11:21 [gentoo-commits] repo/gentoo:master commit in: sys-power/suspend/ Petr Vaněk
2025-02-24 11:21 Petr Vaněk
2021-01-06  6:34 Sam James
2021-01-06  3:46 Sam James
2020-09-25  9:42 Andrew Savchenko
2019-11-05 22:40 Andrew Savchenko
2019-11-05  9:39 Agostino Sarubbo
2019-11-05  9:27 Agostino Sarubbo
2019-06-05 17:39 Andrew Savchenko
2018-11-20 20:00 Andrew Savchenko
2018-11-17 15:54 Mikle Kolyada
2018-11-15 15:48 Thomas Deutschmann
2016-08-18  8:36 Pacho Ramos
2016-03-07 13:34 Agostino Sarubbo
2015-08-13  8:44 Andrew Savchenko
2015-08-13  8:44 Andrew Savchenko

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1541948970.f9e3aebba785f595c12cb62db62985b609160b28.bircoph@gentoo \
    --to=bircoph@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox